Skip to content

Get crypto withdrawal settings​

GET
/v1/wallet/crypto/{currency}/withdraw

Requires WITHDRAWALS_READ, granted by TREASURY_READ or TREASURY_WRITE or WITHDRAWALS_WRITE or BANK_ACCOUNTS_WRITE (bundles)

Returns the minimum amount, network fee and decimal places for withdrawing a currency on one network, and whether withdrawals on it are open. Amounts with more decimal places than withdrawalDecimalPlaces are rounded down when you withdraw.

Parameters​

Path Parameters

currency*

Crypto currency, e.g. USDC.

Type
string
Required
Example"USDC"

Query Parameters

networkType

Network to get the settings for, e.g. Ethereum. Defaults to the currency's default network.

Type
string
Example"Ethereum"

Responses​

OK

application/json
JSON
{
"currency": "USDC",
"minimumWithdrawAmount": "10",
"withdrawalDecimalPlaces": "6",
"isActive": true,
"withdrawCost": "1.5",
"networkType": "Ethereum",
"supportsPaymentReference": false
}

Samples​

Errors

HTTPErrorWhen
400-11INVALID_REQUESTThe currency isn't recognised.
400-112CURRENCY_NOT_SUPPORTEDnetworkType wasn't sent and the currency can't be withdrawn on a blockchain, for example a fiat currency.

Plus the errors common to all signed endpoints.